Moderate severity vulnerability that affects org.keycloak:keycloak-core

2018-10-18T16:48:01
ID GHSA-778X-2MQV-W6XW
Type github
Reporter GitHub Advisory Database
Modified 2019-07-03T21:02:04

Description

Red Hat Keycloak before version 2.4.0 did not correctly check permissions when handling service account user deletion requests sent to the rest server. An attacker with service account authentication could use this flaw to bypass normal permissions and delete users in a separate realm.